import React from 'react';
import * as orderingCore from '@orderingstack/ordering-core';
import { ApplicationInsights } from '@microsoft/applicationinsights-web';
export interface IAuthProps {
    roles?: string[];
    disallowedRoles?: RegExp[];
    logoutOnDisallowedRoles?: boolean;
    appInsights?: ApplicationInsights;
    children: React.ReactNode;
    refreshStorageHandler?: orderingCore.IRefreshTokenStorageHandler;
    DeviceCodeComp?: React.FC<IDeviceLoginState>;
    DisallowedRolesComp?: React.FC<any>;
}
export interface IDeviceLoginState {
    isDeviceCode: boolean;
    code?: string;
    secret?: string;
    error?: string;
    countDown?: number;
    tenant: string;
    baseUrl: string;
    user?: string | null;
    codeTimestamp?: number;
    loading?: boolean;
}
export default function AuthWrapper(props: IAuthProps): React.JSX.Element;
export declare function ShowWhenAuthenticated(props: any): React.JSX.Element | null;
export declare function ShowWhenNotAuthenticated(props: any): React.JSX.Element | null;
export declare function ShowWhenNotAuthenticatedAnResolved(props: any): React.JSX.Element | null;
export declare function ShowWhenAuthenticating(props: any): React.JSX.Element | null;
